[Lunar-commits] r15603 - lunar-iso/branches/lunar-iso-2.6/scripts

Jaime Buffery nestu at lunar-linux.org
Wed Jul 6 08:43:03 UTC 2005


Author: nestu
Date: 2005-07-06 08:43:02 +0000 (Wed, 06 Jul 2005)
New Revision: 15603

Modified:
   lunar-iso/branches/lunar-iso-2.6/scripts/aaa_base
   lunar-iso/branches/lunar-iso-2.6/scripts/proper
   lunar-iso/branches/lunar-iso-2.6/scripts/rebuild
Log:
Missing lunar and lunar-tools on the iso. Better not assume that lunar's install is today's, since that gives a big headache. If lunar's cache isn't there for the iso, break out. core.list was missing too in aaa_base

Modified: lunar-iso/branches/lunar-iso-2.6/scripts/aaa_base
===================================================================
--- lunar-iso/branches/lunar-iso-2.6/scripts/aaa_base	2005-07-06 05:27:37 UTC (rev 15602)
+++ lunar-iso/branches/lunar-iso-2.6/scripts/aaa_base	2005-07-06 08:43:02 UTC (rev 15603)
@@ -20,11 +20,12 @@
 echo "+ creating list of prepackaged modules"
 mkdir -p $ISO_SOURCE/aaa_base
 > $ISO_SOURCE/aaa_base/packages
-for mod in $(cat conf/base.list conf/base.list-${ISO_KSUFFIX} conf/extended.list) ; do
+for mod in $(cat conf/core.list conf/base.list conf/base.list-${ISO_KSUFFIX} conf/extended.list) ; do
   grep "^$mod:" $ISO_TARGET/var/state/lunar/packages >> $ISO_SOURCE/aaa_base/packages
 done
 # add core tools to the list:
-echo "$ISO_LUNAR_MODULE:$ISO_DATE:installed:$ISO_DATE:" >> $ISO_SOURCE/aaa_base/packages
+ISO_LUNAR_MODULE_VERSION=`chroot ${ISO_TARGET} lvu version ${ISO_LUNAR_MODULE}`
+echo "${ISO_LUNAR_MODULE}:${ISO_LUNAR_MODULE_VERSION}:installed:${ISO_LUNAR_MODULE_VERSION}:" >> $ISO_SOURCE/aaa_base/packages
 
 # delete .svn dirs from templates
 find $ISO_TARGET -type d -name ".svn" -exec rm -rf {} \; &> /dev/null

Modified: lunar-iso/branches/lunar-iso-2.6/scripts/proper
===================================================================
--- lunar-iso/branches/lunar-iso-2.6/scripts/proper	2005-07-06 05:27:37 UTC (rev 15602)
+++ lunar-iso/branches/lunar-iso-2.6/scripts/proper	2005-07-06 08:43:02 UTC (rev 15603)
@@ -81,7 +81,9 @@
 
 # core toolset
 echo "+ archiving core tools"
-cp $ISO_SOURCE/cache/${ISO_LUNAR_MODULE}-${ISO_DATE}-*.tar.bz2 $ISO_TARGET/var/cache/lunar/
+ISO_LUNAR_MODULE_VERSION=`chroot ${ISO_TARGET} lvu version ${ISO_LUNAR_MODULE}`
+cp $ISO_SOURCE/cache/${ISO_LUNAR_MODULE}-${ISO_LUNAR_MODULE_VERSION}-*.tar.bz2 $ISO_TARGET/var/cache/lunar/ || 
+{ echo "Missing ${ISO_LUNAR_MODULE}-${ISO_LUNAR_MODULE_VERSION} cache file" ; exit 1; }
 
 # more more more!
 rm -rf $ISO_TARGET/usr/src $ISO_TARGET/var/build

Modified: lunar-iso/branches/lunar-iso-2.6/scripts/rebuild
===================================================================
--- lunar-iso/branches/lunar-iso-2.6/scripts/rebuild	2005-07-06 05:27:37 UTC (rev 15602)
+++ lunar-iso/branches/lunar-iso-2.6/scripts/rebuild	2005-07-06 08:43:02 UTC (rev 15603)
@@ -60,7 +60,12 @@
 echo "++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
 echo ""
 
-yes '' | chroot $ISO_TARGET lin linux-${ISO_KSUFFIX}
+# No need to compile the kernel, since that is taken care of by kernels script.
+# No need for headers either, since that is a package on its own.
+if [ "${ISO_KSUFFIX}" == "2.4" ]; then
+   chroot $ISO_TARGET lin linux-2.4
+fi
+
 chroot $ISO_TARGET lin kernel-headers-${ISO_KSUFFIX}
 
 echo "++++++++++++++++++++++++++++++++++++++++++++++++++++++++"



More information about the Lunar-commits mailing list